<%-- 
	Copyright (C) 2011 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
--%>
<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(pageContext, true);
final String ID = sc.getId();
final DbControl dc = sc.newDbControl();

try
{
	User current = User.getById(dc, sc.getLoggedInUserId());
	%>
	<base:page type="popup" title="Hello JSP world">
	<base:head />
	<base:body>
		<h3 class="docked">Hello <%=HTML.encodeTags(current.getName())%></h3>
		<div class="boxedbottom">
			Here are your settings:
			<table class="form" border="0" cellspacing="1" cellpadding="2">
			<tr>
				<td class="prompt">Session ID</td>
				<td><%=ID%></td>
			</tr>
			<tr>
				<td class="prompt">Login</td>
				<td><%=HTML.encodeTags(current.getLogin())%></td>
			</tr>
			<tr>
				<td class="prompt">Email</td>
				<td><%=HTML.niceFormat(current.getEmail())%></td>
			</tr>
			</table>
		</div>
		<br>
		<table align="center">
		<tr>
			<td><base:button onclick="window.close()" title="Close" /></td>
		</tr>
		</table>
		</form>
	</base:body>
	</base:page>
	<%
}
finally
{
	if (dc != null) dc.close();
}
%>
